function Generate-Password() {
  if (-Not(($args.length -eq 1) -Or ($args.length -eq 2))) {
    Write-Output "ERR: Invalid argment`nUsage:`n`tGenerate-Password <password length> [included symbol_length]"
    return
  }
  $b = $True
  if (($args[0]).GetType().Name -ne "Int32") {
    Write-Output ("ERR: '" + $args[0] + "' is invalid argment")
    $b = $False
  }
  if ($args.length -eq 2 -And ($args[1]).GetType().Name -ne "Int32") {
    Write-Output ("ERR: '" + $args[1] + "' is invalid argment")
    $b = $False
  }
  if ($b -eq $False) { return }
  if ($args.length -eq 2 -And ($args[0] -lt $args[1])) {
    Write-Output ("ERR: Symbol length is not less than or equal to the password length.")
    return
  }
  $password_length = $args[0]
  $symbol_length = $args[1]
  Add-type -AssemblyName System.Web
  $gen_pwd = [System.Web.Security.Membership]::GeneratePassword($password_length, $symbol_length)
  Write-Output $gen_pwd
}
